package com.engine.kq.entity;

/**
 * @Auther: Administrator
 * @Date: 2019-03-11 20:30
 * @Description:员工假期余额实体类
 */
public class KQUsageHistoryEntity {

    /**
     * 假期类型的ID
     */
    private String leaveRulesId;
    /**
     * 假期余额被修改的人员ID
     */
    private String relatedId;
    /**
     * 流程的requestId
     */
    private String wfRequestId = "0";
    /**
     * 操作者
     */
    private String operator;
    /**
     * 操作日期
     */
    private String operateDate;
    /**
     * 操作时间
     */
    private String operateTime;
    /**
     * 操作类型：
     * 0--单位变更
     * 1--请假流程
     * 2--销假流程
     * 3--加班流程生成调休
     * 4--打卡数据生成调休
     * 5--管理员修改员工假期余额
     * 6--批处理(管理员手动批处理或者系统凌晨自动批处理)
     * 7--管理员Excel导入
     */
    private String operateType;
    /**
     * 员工假期余额的所属年份
     */
    private String belongYear;
    /**
     * 操作之前的员工假期余额基数
     */
    private String oldBaseAmount = "0.00";
    /**
     * 操作之后的员工假期余额基数
     */
    private String newBaseAmount  = "0.00";
    /**
     * 操作之前的员工额外假期余额
     */
    private String oldExtraAmount = "0.00";
    /**
     * 操作之后的员工额外假期余额
     */
    private String newExtraAmount = "0.00";
    /**
     * 操作之前的员工已休假期余额
     */
    private String oldUsedAmount = "0.00";
    /**
     * 操作之后的员工已休假期余额
     */
    private String newUsedAmount = "0.00";

    /**
     * 操作之前的员工福利年假基数
     */
    private String oldBaseAmount2 = "0.00";
    /**
     * 操作之后的员工福利年假基数
     */
    private String newBaseAmount2 = "0.00";
    /**
     * 操作之前的员工额外福利年假
     */
    private String oldExtraAmount2 = "0.00";
    /**
     * 操作之后的员工额外福利年假
     */
    private String newExtraAmount2 = "0.00";
    /**
     * 操作之前的员工已休福利年假
     */
    private String oldUsedAmount2 = "0.00";
    /**
     * 操作之后的员工已休福利年假
     */
    private String newUsedAmount2 = "0.00";

    /**
     * 操作之前的员工假期余额单位：
     * 1-按天(单位：天)
     * 2-按半天(单位：天)
     * 3-按小时(单位：小时)
     * 4-按整天(单位：天)
     */
    private String oldMinimumUnit;
    /**
     * 操作之后的员工假期余额单位：
     * 1-按天(单位：天)
     * 2-按半天(单位：天)
     * 3-按小时(单位：小时)
     * 4-按整天(单位：天)
     */
    private String newMinimumUnit;
    /**
     * 是新增的员工假期余额还是更新员工假期余额
     */
    private String insertOrUpdate;

    /**
     * 员工假期余额的ID
     * 暂时只有加班生成调休记录了这个
     */
    private String balanceOfLeaveId;

    /**
     * 流程的workflowid
     */
    private String workflowid;

    public KQUsageHistoryEntity() {
    }

    public KQUsageHistoryEntity(String leaveRulesId, String relatedId, String wfRequestId, String operator, String operateDate, String operateTime, String operateType, String belongYear, String oldBaseAmount, String newBaseAmount, String oldExtraAmount, String newExtraAmount, String oldUsedAmount, String newUsedAmount,
                                String oldBaseAmount2, String newBaseAmount2, String oldExtraAmount2, String newExtraAmount2, String oldUsedAmount2, String newUsedAmount2, String oldMinimumUnit, String newMinimumUnit, String insertOrUpdate, String balanceOfLeaveId,String workflowid) {
        this.leaveRulesId = leaveRulesId;
        this.relatedId = relatedId;
        this.wfRequestId = wfRequestId;
        this.operator = operator;
        this.operateDate = operateDate;
        this.operateTime = operateTime;
        this.operateType = operateType;
        this.belongYear = belongYear;
        this.oldBaseAmount = oldBaseAmount;
        this.newBaseAmount = newBaseAmount;
        this.oldExtraAmount = oldExtraAmount;
        this.newExtraAmount = newExtraAmount;
        this.oldUsedAmount = oldUsedAmount;
        this.newUsedAmount = newUsedAmount;
        this.oldBaseAmount2 = oldBaseAmount2;
        this.newBaseAmount2 = newBaseAmount2;
        this.oldExtraAmount2 = oldExtraAmount2;
        this.newExtraAmount2 = newExtraAmount2;
        this.oldUsedAmount2 = oldUsedAmount2;
        this.newUsedAmount2 = newUsedAmount2;
        this.oldMinimumUnit = oldMinimumUnit;
        this.newMinimumUnit = newMinimumUnit;
        this.insertOrUpdate = insertOrUpdate;
        this.balanceOfLeaveId = balanceOfLeaveId;
        this.workflowid = workflowid;
    }

    public String getLeaveRulesId() {
        return leaveRulesId;
    }

    public void setLeaveRulesId(String leaveRulesId) {
        this.leaveRulesId = leaveRulesId;
    }

    public String getRelatedId() {
        return relatedId;
    }

    public void setRelatedId(String relatedId) {
        this.relatedId = relatedId;
    }

    public String getWfRequestId() {
        return wfRequestId;
    }

    public void setWfRequestId(String wfRequestId) {
        if(wfRequestId.equals("")){
            wfRequestId = "0";
        }
        this.wfRequestId = wfRequestId;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperateDate() {
        return operateDate;
    }

    public void setOperateDate(String operateDate) {
        this.operateDate = operateDate;
    }

    public String getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public String getBelongYear() {
        return belongYear;
    }

    public void setBelongYear(String belongYear) {
        this.belongYear = belongYear;
    }

    public String getOldBaseAmount() {
        return oldBaseAmount;
    }

    public void setOldBaseAmount(String oldBaseAmount) {
        this.oldBaseAmount = oldBaseAmount;
    }

    public String getNewBaseAmount() {
        return newBaseAmount;
    }

    public void setNewBaseAmount(String newBaseAmount) {
        this.newBaseAmount = newBaseAmount;
    }

    public String getOldExtraAmount() {
        return oldExtraAmount;
    }

    public void setOldExtraAmount(String oldExtraAmount) {
        this.oldExtraAmount = oldExtraAmount;
    }

    public String getNewExtraAmount() {
        return newExtraAmount;
    }

    public void setNewExtraAmount(String newExtraAmount) {
        this.newExtraAmount = newExtraAmount;
    }

    public String getOldUsedAmount() {
        return oldUsedAmount;
    }

    public void setOldUsedAmount(String oldUsedAmount) {
        this.oldUsedAmount = oldUsedAmount;
    }

    public String getNewUsedAmount() {
        return newUsedAmount;
    }

    public void setNewUsedAmount(String newUsedAmount) {
        this.newUsedAmount = newUsedAmount;
    }

    public String getOldBaseAmount2() {
        return oldBaseAmount2;
    }

    public void setOldBaseAmount2(String oldBaseAmount2) {
        this.oldBaseAmount2 = oldBaseAmount2;
    }

    public String getNewBaseAmount2() {
        return newBaseAmount2;
    }

    public void setNewBaseAmount2(String newBaseAmount2) {
        this.newBaseAmount2 = newBaseAmount2;
    }

    public String getOldExtraAmount2() {
        return oldExtraAmount2;
    }

    public void setOldExtraAmount2(String oldExtraAmount2) {
        this.oldExtraAmount2 = oldExtraAmount2;
    }

    public String getNewExtraAmount2() {
        return newExtraAmount2;
    }

    public void setNewExtraAmount2(String newExtraAmount2) {
        this.newExtraAmount2 = newExtraAmount2;
    }

    public String getOldUsedAmount2() {
        return oldUsedAmount2;
    }

    public void setOldUsedAmount2(String oldUsedAmount2) {
        this.oldUsedAmount2 = oldUsedAmount2;
    }

    public String getNewUsedAmount2() {
        return newUsedAmount2;
    }

    public void setNewUsedAmount2(String newUsedAmount2) {
        this.newUsedAmount2 = newUsedAmount2;
    }

    public String getOldMinimumUnit() {
        return oldMinimumUnit;
    }

    public void setOldMinimumUnit(String oldMinimumUnit) {
        this.oldMinimumUnit = oldMinimumUnit;
    }

    public String getNewMinimumUnit() {
        return newMinimumUnit;
    }

    public void setNewMinimumUnit(String newMinimumUnit) {
        this.newMinimumUnit = newMinimumUnit;
    }

    public String getInsertOrUpdate() {
        return insertOrUpdate;
    }

    public void setInsertOrUpdate(String insertOrUpdate) {
        this.insertOrUpdate = insertOrUpdate;
    }

    public String getBalanceOfLeaveId() {
        return balanceOfLeaveId;
    }

    public void setBalanceOfLeaveId(String balanceOfLeaveId) {
        this.balanceOfLeaveId = balanceOfLeaveId;
    }

  public String getWorkflowid() {
    return workflowid;
  }

  public void setWorkflowid(String workflowid) {
    this.workflowid = workflowid;
  }
}
